:root{
    --baseColored-backgroundColor: #98d0ea;
    --baseColored-backgroundHover: #c5e6f6;
    --baseColored-foreground: #4f7476;
    --baseColored-foregroundHover: #223334;
    --topLine-Height: 5%;
    --sideNav-width: 15%;
    --content-width: 84%;
    --base-textSize: 17px;
    --table-secondBackgr: #f2f2f2;
}

body{
    font-size: var(--base-textSize);
    overflow-x: hidden;
}

.topLine {
    overflow: hidden;
    background-color: var(--baseColored-backgroundColor);
    position: absolute;
    width: 100%;
    height: var(--topLine-Height);
    top: 0;
    left: 0;
}

.topLine a, .topLine div {
  position: absolute;
  color: var(--baseColored-foreground);
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
}

.topLine a:hover, .topLine div:hover {
  text-decoration: underline;
  color: var(--baseColored-foregroundHover);
}

.topLineHeader {
    left: 50%;
}

.topLine.right {
    right: 0%;
}

.sideNav{
    position: fixed;
    top: var(--topLine-Height);
    left: 0;
    height: -webkit-fill-available;
    width: var(--sideNav-width);
}

.sideNav > a{
    text-decoration: none;
    display:block;
    color: var(--baseColored-foreground);
    margin: 5px;
    padding: 15px;

}

.sideNav > a:hover{
    text-decoration: underline;
    color: var(--baseColored-foregroundHover);
    background-color: var(--baseColored-backgroundColor);
}

.content {
    position: absolute;
    top: var(--topLine-Height);
    left: var(--sideNav-width);
    width: var(--content-width);
}


form {
    display: block;
    top: 25%;
    padding: 15px;
}

form > input, textarea, select {
    border: 1px solid #ddd;
    padding: 10px;
    border-radius: 15px;
    box-sizing: border-box;
    margin: 20px 5px;
}

form > input[type="submit"]{
    cursor: pointer;
    background-color: var(--baseColored-backgroundColor);
    color: var(--baseColored-foreground);
}

form > input[type="submit"]:hover{
    cursor: pointer;
    width: fit-content;
    background-color: var(--baseColored-backgroundHover);
    color: var(--baseColored-foregroundHover);
}

form > label{
    display: block;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
    border: 1px solid #ddd;
    margin-bottom: 15px;
}

td {
    text-align: left;
    color: var(--baseColored-foregroundHover);
    text-decoration: none;
}

td > a {
    color: var(--baseColored-foregroundHover);
    text-decoration: none;
    display: block;
    width: inherit;
}

tr:nth-child(even) {
    background-color: var(--table-secondBackgr);
}

tr:hover {
    background-color: var(--baseColored-backgroundHover);
}

.message{
    text-align: center;
    padding: 30px;
    margin: 20px;
    border-radius: 10px;
    border: 1px solid #ffbaba;
    cursor: default;
}

.info{
    background: #ffe376db;
}

.error{
    background: #fd7d67db;
}

.listDetailsTable td{
    color: var(--baseColored-foreground);
    cursor: default;
}
.listDetailsTable tr{
    background-color: var(--baseColored-backgroundColor);
}

.listDetailsTable tr:nth-child(even) {
    background-color: var(--baseColored-backgroundHover);
}

.listDetailsTable tr:hover {
    background-color: var(--table-secondBackgr);
}